Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclDNSMethod Class Reference

`#include <oscl_dns_method.h>`

Inheritance diagram for OsclDNSMethod:

## Public Methods
| OsclDNSMethod (Oscl_DefAlloc &a, const char *name, TPVDNSFxn fxn)
void | Abort ()
void | AbortAll ()
void | CancelMethod ()
void | Run ()
## Data Fields
OsclDNSObserver * | iDNSObserver
uint32 | iId
Oscl_DefAlloc & | iAlloc
TPVDNSFxn | iDNSFxn
PVLogger * | iLogger
## Protected Methods
void | ConstructL (OsclDNSObserver *aObserver, OsclDNSRequestAO *aAO, uint32 aId)
bool | StartMethod (int32 aTimeoutMsec)
void | MethodDone ()
## Protected Attributes
OsclDNSRequestAO * | iDNSRequestAO

## Detailed Description

This is the base class for all socket methods. It provides the timeout on socket requests.

## Constructor & Destructor Documentation

OsclDNSMethod::OsclDNSMethod | ( | Oscl_DefAlloc & | a,
|  | const char * | name,
|  | TPVDNSFxn | fxn
| ) | `[inline]`

## Member Function Documentation

void OsclDNSMethod::Abort | ( |  | ) |

void OsclDNSMethod::AbortAll | ( |  | ) |

void OsclDNSMethod::CancelMethod | ( |  | ) |

void OsclDNSMethod::ConstructL | ( | OsclDNSObserver * | aObserver,
|  | OsclDNSRequestAO * | aAO,
|  | uint32 | aId
| ) | `[protected]`

void OsclDNSMethod::MethodDone | ( |  | ) | `[protected]`

void OsclDNSMethod::Run | ( |  | ) | `[virtual]`

| Handles an active object's request completion event. A derived class must provide an implementation to handle the completed request. If appropriate, it may issue another request. The function is called by the active scheduler when a request completion event occurs, i.e. after the active scheduler's WaitForAnyRequest() function completes. Before calling this active object's Run() function, the active scheduler has: 1. decided that this is the highest priority active object with a completed request 2. marked this active object's request as complete (i.e. the request is no longer outstanding) Run() runs under a trap harness in the active scheduler. If it leaves, then the active scheduler calls ExecError() to handle the leave. Note that once the active scheduler's Start() function has been called, all user code is run under one of the program's active object's Run() or RunError() functions. Implements PVActiveBase.

bool OsclDNSMethod::StartMethod | ( | int32 | aTimeoutMsec | ) | `[protected]`

## Field Documentation

Oscl_DefAlloc& OsclDNSMethod::iAlloc

TPVDNSFxn OsclDNSMethod::iDNSFxn

OsclDNSObserver* OsclDNSMethod::iDNSObserver

OsclDNSRequestAO* OsclDNSMethod::iDNSRequestAO`[protected]`

uint32 OsclDNSMethod::iId

PVLogger* OsclDNSMethod::iLogger

The documentation for this class was generated from the following file:

- oscl_dns_method.h